#include "swterm.h"


void BridgeWinSetTitle(
	xsw_bridge_win_struct *bw,
	const char *address,
	const char *title,
	const char *player_name
);
void BridgeWinDrawPanel(
	int obj_num,   
	int panel_detail
);
void BridgeWinDrawAll(xsw_bridge_win_struct *bw);
void BridgeWinMap(xsw_bridge_win_struct *bw);

void EcoWinUpdateCredits(xsw_eco_win_struct *ew, const int obj_num);
void EcoWinAddProduct(
	xsw_eco_win_struct *ew,
	const int proprietor_obj_num,
	xsw_ecoproduct_struct product
);
void EcoWinQueueDraw(xsw_eco_win_struct *ew);
void EcoWinMap(xsw_eco_win_struct *ew);

imgref_struct *ImgRefGetPtr(
        imgref_struct **imgrefs_list, const int nimgrefs,
        const int imgref_num
);
int ImgRefIsLoaded(imgref_struct *imgref);
int ImgRefLoad(
        imgref_struct ***imgrefs_list, int *nimgrefs,
        const int imgref_num
);
void ImgRefUnload(
        imgref_struct **imgrefs_list, const int nimgrefs,
        const int imgref_num   
);                             
int ImgRefFileOpen(
        imgref_struct ***imgrefs_list, int *nimgrefs,
        const char *filename
);

void ScannerUpdateLabels(xsw_bridge_win_struct *bw, int obj_num);

void OSWDestroyImage(image_t **image);

void VSDrawUpdateWeaponLabel(
	image_t **image,     
	pixmap_t pixmap
);
void VSDrawUpdateNetstatsLabel(
	image_t **image,
	pixmap_t pixmap
);

int VSLabelAdd(
	const char *text,
	const WColorStruct *fg,
	const WColorStruct *bg,
	font_t *font,
	int obj_num, xsw_object_struct *obj
);
void VSLabelDelete(int n);
void VSLabelDeleteByObjectPtr(xsw_object_struct *obj);
void VSLabelDeleteAll(void);


#define ATOI(s)		(((s) != NULL) ? atoi(s) : 0)
#define ATOL(s)		(((s) != NULL) ? atol(s) : 0)
#define ATOF(s)		(((s) != NULL) ? atof(s) : 0.0f)
#define STRDUP(s)	(((s) != NULL) ? strdup(s) : NULL)

#define MAX(a,b)	(((a) > (b)) ? (a) : (b))
#define MIN(a,b)	(((a) < (b)) ? (a) : (b))
#define CLIP(a,l,h)	(MIN(MAX((a),(l)),(h)))
#define STRLEN(s)	(((s) != NULL) ? strlen(s) : 0)
#define STRISEMPTY(s)	(((s) != NULL) ? (*(s) == '\0') : 1)


void BridgeWinSetTitle(
	xsw_bridge_win_struct *bw,
	const char *address,
	const char *title,
	const char *player_name
)
{
	CDisplay *display = (total_curses_displays > 0) ?
	    curses_display[0] : NULL;

	if((display == NULL) || (bw == NULL))
	    return;

	BridgeDrawTitle(display, bw);
}

void BridgeWinDrawPanel(
	int obj_num,
	int panel_detail
)
{
	return;
}

void BridgeWinDrawAll(xsw_bridge_win_struct *bw)
{
	return;
}

void BridgeWinMap(xsw_bridge_win_struct *bw)
{
	return;
}


void EcoWinUpdateCredits(xsw_eco_win_struct *ew, const int obj_num)
{
	return;
}

void EcoWinAddProduct(
	xsw_eco_win_struct *ew,
	const int proprietor_obj_num,
	xsw_ecoproduct_struct product
)
{
	return;
}

void EcoWinQueueDraw(xsw_eco_win_struct *ew)
{
	return;
}

void EcoWinMap(xsw_eco_win_struct *ew)
{
	return;
}


imgref_struct *ImgRefGetPtr(
        imgref_struct **imgrefs_list, const int nimgrefs,
        const int imgref_num
)
{
	return(NULL);
}

int ImgRefIsLoaded(imgref_struct *imgref)
{
	return(1);
}

int ImgRefLoad(
        imgref_struct ***imgrefs_list, int *nimgrefs,
        const int imgref_num
)
{
	return(0);
}

void ImgRefUnload(
        imgref_struct **imgrefs_list, const int nimgrefs,
        const int imgref_num   
)
{
	return;
}

int ImgRefFileOpen(
        imgref_struct ***imgrefs_list, int *nimgrefs,
        const char *filename
)
{
	return(0);
}


void ScannerUpdateLabels(xsw_bridge_win_struct *bw, int obj_num)
{
	return;
}

void OSWDestroyImage(image_t **image)
{
	return;
}

void VSDrawUpdateWeaponLabel(
	image_t **image,
	pixmap_t pixmap
)
{
	return;
}

void VSDrawUpdateNetstatsLabel(
	image_t **image,
	pixmap_t pixmap
)
{
	return;
}


int VSLabelAdd(
	const char *text,
	const WColorStruct *fg,
	const WColorStruct *bg,
	font_t *font,
	int obj_num, xsw_object_struct *obj
)
{
	return(0);
}

void VSLabelDelete(int n)
{
	return;
}

void VSLabelDeleteByObjectPtr(xsw_object_struct *obj)
{
	return;
}

void VSLabelDeleteAll(void)
{
	return;
}
